SDL_cosf(3)

NAME
SDL_cosf - Compute the cosine of x.

SYNOPSIS
#include <SDL3/SDL_stdinc.h>

float SDL_cosf(float x);

DESCRIPTION
Domain: -INF <= x <= INF

Range: -1 <= y <= 1

This function operates on single-precision floating point values, use SDL_cos for double-precision floats.

This function may use a different approximation across different versions, platforms and configurations. i.e, it can return a different value given the same input on different machines or operating systems, or if SDL is updated.

FUNCTION PARAMETERS

x   floating point value, in radians.

RETURN VALUE
Returns cosine of x.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_cos(3), SDL_acosf(3), SDL_sinf(3)